/*
 * This file is part of the Cforall project
 *
 * $Id: TupleType.cc,v 1.6 2005/08/29 20:59:26 rcbilson Exp $
 *
 */

#include "Type.h"
#include "utility.h"


TupleType::TupleType( const Type::Qualifiers &tq )
    : Type( tq )
{
}

TupleType::TupleType( const TupleType& other )
    : Type( other )
{
    cloneAll( other.types, types );
}

TupleType::~TupleType()
{
    deleteAll( types );
}

void 
TupleType::print( std::ostream &os, int indent ) const
{
    Type::print( os, indent );
    os << "tuple of types" << std::endl;
    printAll( types, os, indent+2 );
}

